<!--
IGAC proyecto SNC

@author david.cifuentes 
@version 2.0
@description Formulario de ejecución - Gestionar ficha matriz - Detalle de Predios PH / Condominio
@cu CU-CO-V-01

-->
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" 
        id="detallePredioPHOCondominioForm">

    <p:messages id="msgGenerarNumPredial" showDetail="false" globalOnly="false" />

    <h:panelGrid rendered="#{(!managedBeanParam.tramite.englobeVirtual and managedBeanParam.tramite.tipoInscripcionPH) 
                             or (managedBeanParam.tramite.englobeVirtual and managedBeanParam.mantieneFicha and managedBeanParam.tramite.tipoInscripcionPH)}">
        <p:fieldset>
            <legend> <h:outputLabel value="Propiedad Horizontal"
                                    styleClass="outputLabelStyle" /> </legend>

            <h:panelGrid columns="3" cellspacing="3" cellpadding="3"
                         id="detallePredioPHOCondominioPanel">

                <h:panelGrid columns="2">
                    <h:outputLabel value="Torres: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="torres"
                                     value="#{managedBeanParam.torreSeleccionada}"
                                     style="position:relative;left:4px;">
                        <f:selectItems value="#{managedBeanParam.itemListTorres}" />
                        <p:ajax
                            update="pisoPanel, sotanoPanel, ejeVialHaciaAbajoPanel, unidadPanel, detallePredioPHOCondominioButtons, detallePredioPHOCondominioForm"
                            listener="#{managedBeanParam.cargarPisoOSotano}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid id="pisoPanel" columns="2"
                             rendered="#{managedBeanParam.ejeVialHaciaAbajo eq 'NO'}">
                    <h:outputLabel value="Pisos: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="piso"
                                     value="#{managedBeanParam.pisoOSotanoSeleccionado}"
                                     style="position:relative;left:4px;">
                        <f:selectItems value="#{managedBeanParam.itemListPisos}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid id="sotanoPanel" columns="2"
                             rendered="#{managedBeanParam.sotanosBool and managedBeanParam.ejeVialHaciaAbajo eq 'SI'}">
                    <h:outputLabel value="Sotanos: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="sotano"
                                     value="#{managedBeanParam.pisoOSotanoSeleccionado}"
                                     style="position:relative;left:4px;">
                        <f:selectItems value="#{managedBeanParam.itemListSotanos}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid id="unidadPanel" columns="2" >
                    <h:outputLabel value="Unidad: " styleClass="outputLabelStyle" />
                    <h:inputText value="#{managedBeanParam.unidad}" id="unidad"
                                 disabled="#{managedBeanParam.unicaUnidadBool or (!managedBeanParam.sotanosBool and managedBeanParam.ejeVialHaciaAbajo eq 'SI') }"
                                 label="Número de unidades" style="width:30px;height:14px;" />
                </h:panelGrid>
            </h:panelGrid>

            <h:panelGrid id="ejeVialHaciaAbajoPanel" columns="2" cellspacing="3"
                         cellpadding="3">
                <h:outputLabel value="¿Nivel del eje víal hacia abajo?"
                               styleClass="outputLabelStyle" />
                <h:selectOneMenu id="ejeVialHaciaAbajo"
                                 label="¿Nivel del eje víal hacia abajo? " process="@form"
                                 value="#{managedBeanParam.ejeVialHaciaAbajo}">
                    <f:selectItems value="#{general.siNo}" />
                    <p:ajax  listener="#{managedBeanParam.validarAsignacionSotanos}"
                             update="pisoPanel, sotanoPanel, detallePredioPHOCondominioPanel, detallePredioPHOCondominioButtons, detallePredioPHOCondominioForm" />
                </h:selectOneMenu>
            </h:panelGrid>

        </p:fieldset>
    </h:panelGrid>
    <h:panelGrid rendered="#{(!managedBeanParam.tramite.englobeVirtual and managedBeanParam.tramite.tipoInscripcionCondominio) 
                             or(managedBeanParam.tramite.englobeVirtual and managedBeanParam.mantieneFicha and managedBeanParam.tramite.tipoInscripcionCondominio)}" 
                 width="100%">
        <p:fieldset>
            <legend> <h:outputLabel value="Condominio"
                                    styleClass="outputLabelStyle" /> </legend>
            <p:spacer height="10"/>
            <h:panelGrid columns="2" cellpadding="5" cellspacing="5">
                <h:outputLabel value="Unidad: " styleClass="outputLabelStyle" />
                <h:inputText value="#{managedBeanParam.unidad}"
                             disabled="#{managedBeanParam.unicaUnidadBool}"
                             id="unidadCondominio" label="Número de unidades"
                             style="width:100%;height:14px;" />
            </h:panelGrid>
        </p:fieldset>
    </h:panelGrid>

    <h:panelGrid columns="1" cellpadding="3" cellspacing="3"
                 id="detallePredioPHOCondominioButtons" rendered="#{!managedBeanParam.tramite.englobeVirtual}">

        <p:commandButton value="Aceptar" id="btnAceptar" icon="ui-icon-disk"
                         process="@this, detallePredioPHOCondominioForm, :tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid"
                         disabled="#{fichaMatriz.torreCargadaBool or (!managedBeanParam.sotanosBool and managedBeanParam.ejeVialHaciaAbajo eq 'SI')}"
                         action="#{managedBeanParam.crearNumerosPrediales}"
                         update=":tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid,
                         :tabView1:gestionarFichaMatrizForm:generalidadesMixtoPanelGrid"
                         oncomplete="detallePredioPHOCondominioWV.hide();">
        </p:commandButton>

    </h:panelGrid>

    <h:panelGrid rendered="#{managedBeanParam.tramite.englobeVirtual}">

        <h:panelGrid columns="2" rendered="#{!managedBeanParam.mantieneFicha}">
            <h:outputLabel value="Condición Predio: "
                           styleClass="outputLabelStyle" />

            <h:selectOneMenu
                value="#{managedBeanParam.condicionPredioSeleccionada}">
                <f:selectItem itemLabel="Seleccionar..."></f:selectItem>
                <f:selectItems
                    value="#{managedBeanParam.tiposCondicionEV}"/>
                <p:ajax update="detallePredioPHOCondominioForm, infoCondominio,infoPH,buttonsEV"
                        listener="#{managedBeanParam.seleccionCondicionPredio}" />
            </h:selectOneMenu>

        </h:panelGrid> 

        <p:fieldset id ="infoPH" rendered="#{managedBeanParam.banderaPH and !managedBeanParam.mantieneFicha}">
            <legend> <h:outputLabel value="Información de PH"
                                    styleClass="outputLabelStyle" /> </legend>

            <h:panelGrid columns="3" cellspacing="3" cellpadding="3"
                         id="detallePredioPHOCondominioEVPanel">   

                <h:panelGrid columns="2">
                    <h:outputLabel value="Torres: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="torresEV"
                                     value="#{managedBeanParam.torreSeleccionada}"
                                     style="position:relative;left:4px;">
                        <f:selectItems value="#{managedBeanParam.itemListTorres}" />
                        <p:ajax
                            update="pisoEVPanel, sotanoEVPanel, ejeVialHaciaAbajoEVPanel, unidadEVPanel, buttonsEV, detallePredioPHOCondominioForm"
                            listener="#{managedBeanParam.cargarPisoOSotano}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid id="pisoEVPanel" columns="2"
                             rendered="#{managedBeanParam.ejeVialHaciaAbajo eq 'NO'}">
                    <h:outputLabel value="Pisos: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="pisoEV"
                                     value="#{managedBeanParam.pisoOSotanoSeleccionado}"
                                     style="position:relative;left:4px;">
                        <f:selectItems value="#{managedBeanParam.itemListPisos}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid id="sotanoEVPanel" columns="2"
                             rendered="#{managedBeanParam.sotanosBool and managedBeanParam.ejeVialHaciaAbajo eq 'SI'}">
                    <h:outputLabel value="Sotanos: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="sotanoEV"
                                     value="#{managedBeanParam.pisoOSotanoSeleccionado}"
                                     style="position:relative;left:4px;">
                        <f:selectItems value="#{managedBeanParam.itemListSotanos}" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:panelGrid id="unidadEVPanel" columns="2" >
                    <h:outputLabel value="Unidad: " styleClass="outputLabelStyle" />
                    <h:inputText value="#{managedBeanParam.unidad}" id="unidadEV"
                                 disabled="#{managedBeanParam.unicaUnidadBool or (!managedBeanParam.sotanosBool and managedBeanParam.ejeVialHaciaAbajo eq 'SI') }"
                                 label="Número de unidades" style="width:30px;height:14px;" />
                </h:panelGrid>
            </h:panelGrid>

            <h:panelGrid id="ejeVialHaciaAbajoEVPanel" columns="2" cellspacing="3"
                         cellpadding="3">
                <h:outputLabel value="¿Nivel del eje víal hacia abajo?"
                               styleClass="outputLabelStyle" />
                <h:selectOneMenu id="ejeVialHaciaAbajoEV"
                                 label="¿Nivel del eje víal hacia abajo? " process="@form"
                                 value="#{managedBeanParam.ejeVialHaciaAbajo}">
                    <f:selectItems value="#{general.siNo}" />
                    <p:ajax  listener="#{managedBeanParam.validarAsignacionSotanos}"
                             update="pisoPanel, sotanoPanel, detallePredioPHOCondominioPanel, detallePredioPHOCondominioButtons, detallePredioPHOCondominioForm" />
                </h:selectOneMenu>
            </h:panelGrid>

        </p:fieldset>

        <p:fieldset id ="infoCondominio" rendered="#{managedBeanParam.banderaCondominio and !managedBeanParam.mantieneFicha}">
            <legend> <h:outputLabel value="Información de Condominio"
                                    styleClass="outputLabelStyle" /> </legend>
            <p:spacer height="10"/>
            <h:panelGrid columns="2" cellpadding="5" cellspacing="5">
                <h:outputLabel value="Unidad: " styleClass="outputLabelStyle" />
                <h:inputText value="#{managedBeanParam.unidad}"
                             disabled="#{managedBeanParam.unicaUnidadBool}"
                             id="unidadCondominioEV" label="Número de unidades"
                             style="width:100%;height:14px;" />
            </h:panelGrid>
        </p:fieldset>


        <h:panelGrid columns="1" cellpadding="3" cellspacing="3"
                     id="buttonsEV" rendered="#{managedBeanParam.tramite.englobeVirtual}">

            <p:commandButton value="Aceptar" id="btnAceptarEV" icon="ui-icon-disk"
                             process="@this, detallePredioPHOCondominioForm, :tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid"
                             action="#{managedBeanParam.crearNumerosPrediales}"
                             update=":tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid"
                             oncomplete="detallePredioPHOCondominioWV.hide();">
            </p:commandButton>

        </h:panelGrid>
    </h:panelGrid>

</h:form>
